RDKit: RDKit::FMCS::TargetMatch Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::FMCS::TargetMatch Struct Reference

`#include <TargetMatch.h>`

## Public Member Functions
| TargetMatch ()
| TargetMatch (const TargetMatch &src)
TargetMatch & | operator= (const TargetMatch &src)
bool | empty () const
void | clear ()
void | init (const Seed &seed, const match_V_t &match, const ROMol &query, const Target &target)

## Public Attributes
bool | Empty {true}
size_t | MatchedAtomSize {0}
size_t | MatchedBondSize {0}
std::vector< unsigned int > | TargetAtomIdx
std::vector< unsigned int > | TargetBondIdx
boost::dynamic_bitset | VisitedTargetBonds
boost::dynamic_bitset | VisitedTargetAtoms

## Detailed Description

Definition at line 23 of file TargetMatch.h.

## Constructor & Destructor Documentation

## ◆ TargetMatch() [1/2]

RDKit::FMCS::TargetMatch::TargetMatch | ( |  | ) |
| inline

Definition at line 32 of file TargetMatch.h.

Referenced by operator=(), and TargetMatch().

## ◆ TargetMatch() [2/2]

RDKit::FMCS::TargetMatch::TargetMatch | ( | const TargetMatch & | src | ) |
| inline

Definition at line 33 of file TargetMatch.h.

References TargetMatch().

## Member Function Documentation

## ◆ clear()

void RDKit::FMCS::TargetMatch::clear | ( |  | ) |
| inline

Definition at line 47 of file TargetMatch.h.

References Empty, TargetAtomIdx, TargetBondIdx, VisitedTargetAtoms, and VisitedTargetBonds.

## ◆ empty()

bool RDKit::FMCS::TargetMatch::empty | ( |  | ) | const
| inline

Definition at line 46 of file TargetMatch.h.

References Empty.

## ◆ init()

void RDKit::FMCS::TargetMatch::init | ( | const Seed & | seed,
|  | const match_V_t & | match,
|  | const ROMol & | query,
|  | const Target & | target )

## ◆ operator=()

TargetMatch & RDKit::FMCS::TargetMatch::operator= | ( | const TargetMatch & | src | ) |
| inline

Definition at line 34 of file TargetMatch.h.

References Empty, MatchedAtomSize, MatchedBondSize, TargetAtomIdx, TargetBondIdx, TargetMatch(), VisitedTargetAtoms, and VisitedTargetBonds.

## Member Data Documentation

## ◆ Empty

bool RDKit::FMCS::TargetMatch::Empty {true}

Definition at line 24 of file TargetMatch.h.

Referenced by clear(), empty(), and operator=().

## ◆ MatchedAtomSize

size_t RDKit::FMCS::TargetMatch::MatchedAtomSize {0}

Definition at line 25 of file TargetMatch.h.

Referenced by operator=().

## ◆ MatchedBondSize

size_t RDKit::FMCS::TargetMatch::MatchedBondSize {0}

Definition at line 26 of file TargetMatch.h.

Referenced by operator=().

## ◆ TargetAtomIdx

std::vector<unsigned int> RDKit::FMCS::TargetMatch::TargetAtomIdx

Definition at line 27 of file TargetMatch.h.

Referenced by clear(), and operator=().

## ◆ TargetBondIdx

std::vector<unsigned int> RDKit::FMCS::TargetMatch::TargetBondIdx

Definition at line 28 of file TargetMatch.h.

Referenced by clear(), and operator=().

## ◆ VisitedTargetAtoms

boost::dynamic_bitset RDKit::FMCS::TargetMatch::VisitedTargetAtoms

Definition at line 30 of file TargetMatch.h.

Referenced by clear(), and operator=().

## ◆ VisitedTargetBonds

boost::dynamic_bitset RDKit::FMCS::TargetMatch::VisitedTargetBonds

Definition at line 29 of file TargetMatch.h.

Referenced by clear(), and operator=().

The documentation for this struct was generated from the following file:

- TargetMatch.h